Subject: bug#72555: 30.0.60; [PATCH] NS: support passing key events to the system

From: Kai Ma <[email-masked]>
Date: Wed, 12 Feb 2025 08:35:30 +0100

Sorry, I don’t have the capacity to work on this for the next months. Please close it. I’ll resubmit a patch if I ever sort this out in the future.

According to my memories, the remaining problems are:

1. C-/ causes an unconditional beep because macOS has no default keybinding for it.
2. C-q is intercepted by Cocoa’s own quoted insert.

We can simply handle them inside Emacs, but I’m not sure whether the list is complete.

> On Feb 11, 2025, at 20:21, Stefan Kangas <[email-masked]> wrote:
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> tags 72555 - patch
>> thanks
>> 
>> Kai Ma <[email-masked]> writes:
>> 
>>> Do NOT test the patch.  I just found the handling of certain keys incorrect.
>>> 
>>> (e.g. Control-/ seems to unconditionally triggers the alert beep.  I’d appreciate it if some experts can share their insights.)
>>> 
>>> I will post a new patch once I find a solution.
>> 
>> Thanks.  Any updates here?
> 
> Friendly ping.